Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.shortcode.management
Interface ShortCodeMapperMBean

public interface ShortCodeMapperMBean

ShortCodeMapper OAM interface; this service is shared among all plugins.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `enabled` Enables or disables the shortcode mapper.

Method Summary
`void` | `addShortCodeMapping(String originalDestination, String mappedDestination)` Add a short code mapping.
`boolean` | `isEnabled()`
`String[]` | `listShortCodeMappings()` Lists registered short code mappings.
`ShortCodeMapping` | `removeShortCodeMapping(String originalDestination, String mappedDestination)` Removes short code mapping for a specific mapping of original/translated destination.
`void` | `setEnabled(boolean enabled)`

Field Detail

### enabled

    public static final boolean enabled

  Enables or disables the shortcode mapper.

  See Also:
    Constant Field Values

Method Detail

### addShortCodeMapping

    public void addShortCodeMapping(String originalDestination,
                                    String mappedDestination)
                             throws ManagementException

  Add a short code mapping.

  Parameters:
    `originalDestination` - destination pattern, e.g. tel:123[456]
    `mappedDestination` - destination, e.g. tel:1236
  Throws:
    `ManagementException`

### isEnabled

    public boolean isEnabled()
                      throws ManagementException

  Throws:
    `ManagementException`

### listShortCodeMappings

    public String[] listShortCodeMappings()
                                   throws ManagementException

  Lists registered short code mappings.

  Returns:
    A list of all registered short code mappings.
  Throws:
    `ManagementException`

### removeShortCodeMapping

    public ShortCodeMapping removeShortCodeMapping(String originalDestination,
                                                   String mappedDestination)
                                            throws ManagementException

  Removes short code mapping for a specific mapping of original/translated destination.

  Parameters:
    `originalDestination` - destination pattern, e.g. tel:123[456]
    `mappedDestination` - destination, e.g. tel:1236
  Throws:
    `ManagementException`

### setEnabled

    public void setEnabled(boolean enabled)
                    throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD